Modify

Opened 21 months ago

Closed 20 months ago

Last modified 15 months ago

#12622 closed defect (othersoftware)

Timestamp error when JOSM opens OSM files

Reported by: soymano@… Owned by: team
Priority: normal Milestone:
Component: Core Version: latest
Keywords: template_report github Cc:

Description

What steps will reproduce the problem?

  1. I Open OSM files created from the Spanish Cadastre (Cat2Osm2 application generates the OSM files).
  2. JOSM shows an error because of the timestamp of the content and the file is not open.

What is the expected result?

These files were opened correctly with the 93xx version and previous.

What happens instead?

Please provide any additional information below. Attach a screenshot if possible.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-03-13 01:17:21 +0100 (Sun, 13 Mar 2016)
Build-Date:2016-03-13 02:35:00
Revision:9979
Relative:URL: ^/trunk

Identification: JOSM/1.5 (9979 es) Windows 10 64-Bit
Memory Usage: 131 MB / 247 MB (61 MB allocated, but free)
Java version: 1.8.0_73-b02, Oracle Corporation, Java HotSpot(TM) Client VM
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:C:\Program Files (x86)\Java\jre1.8.0_73\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Users\miguelito\AppData\LocalLow\Sun\Java\Deployment\cache\6.0\56\1ee8cfb8-7c5f0a10, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.splashport=63334, -Djnlp.application.href=https://josm.openstreetmap.de/download/josm.jnlp, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAC1Eam5scC5hcHBsaWNhdGlvbi5ocmVmPWh0dHBzOi8vam9zbS5vcGVuc3RyZWV0bWFwLmRlL2Rvd25sb2FkL2pvc20uam5scAA=]

Plugins:
- FixAddresses (31772)
- HouseNumberTaggingTool (31772)
- apache-commons (31895)
- ejml (31895)
- geotools (31895)
- jts (31772)
- opendata (32071)
- utilsplugin2 (32099)

Last errors/warnings:
- E: org.openstreetmap.josm.io.IllegalDataException: org.openstreetmap.josm.tools.UncheckedParseException: The date string (2015-12-26 21:45:38.502) could not be parsed.. Causa: org.openstreetmap.josm.tools.UncheckedParseException: The date string (2015-12-26 21:45:38.502) could not be parsed.
- E: org.openstreetmap.josm.io.IllegalDataException: org.openstreetmap.josm.tools.UncheckedParseException: The date string (2015-12-26 21:48:38.75) could not be parsed.. Causa: org.openstreetmap.josm.tools.UncheckedParseException: The date string (2015-12-26 21:48:38.75) could not be parsed.

Attachments (1)

69063-.osm.gz (867 bytes) - added by soymano@… 21 months ago.
tested OSM file which generates the error

Download all attachments as: .zip

Change History (4)

Changed 21 months ago by soymano@…

Attachment: 69063-.osm.gz added

tested OSM file which generates the error

comment:1 Changed 21 months ago by Don-vip

Keywords: github added

this issue should be raised to https://github.com/AnderPijoan/cat2osm2
We have now a stricter validation of dates.

comment:2 Changed 20 months ago by Don-vip

Resolution: othersoftware
Status: newclosed

comment:3 Changed 15 months ago by simon04

Ticket #13481 has been marked as a duplicate of this ticket.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.